summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAge
* * xpi.mk:Sasa Bodiroza2009-08-14
| | | | - add MOX_XPI_EXCLUDE_FILES parameter to enable exclusion of some files and/or directories, if needed
* (merge lp:~jazzva/mozilla-devscripts/med-xpi-man-pages)Alexander Sack2009-08-13
|\ | | | | | | | | | | * med-xpi-{pack,unpack}: - wrote man page for med-xpi-{pack,unpack} - add man/med-xpi-{pack,unpack}.1 - update src/Makefile
| * Add manpages for med-xpi-{pack,unpack}Sasa Bodiroza2009-08-13
|/
* Merge with lp:~bdrung/mozilla-devscripts/moz-version-manpageSasa Bodiroza2009-08-13
|\
| * - all files are directly installed into debian/mozilla-devscriptsBenjamin Drung2009-08-12
| | | | | | | | - update debian/rules - remove debian/mozilla-devscripts.install
| * * moz-version:Benjamin Drung2009-08-12
| | | | | | | | | | - wrote man page for moz-version - add man/moz-version.1 - update src/Makefile
* | Merge with lp:~bdrung/mozilla-devscripts/lintianSasa Bodiroza2009-08-13
|\ \ | |/
| * - fix Vcs-Bzr-Browser field to Vcs-BrowserBenjamin Drung2009-08-11
| | | | | | - update debian/control
| * * lp-locale-export.mk:Benjamin Drung2009-08-11
| | | | | | | | - remove shebang - update src/lp-locale-export.mk
| * * build-system:Benjamin Drung2009-08-11
| | | | | | | | - make minefield-packager.mk executable - update src/Makefile
| * - wrap too long linesBenjamin Drung2009-08-11
| | | | | | - update debian/changelog
| * - add ${misc:Depends} to DependsBenjamin Drung2009-08-11
| | | | | | - update debian/control
| * * packaging:Benjamin Drung2009-08-11
|/ | | | - break and sort Depends and Suggests - update debian/control
* RELEASE version 0.14 to debian/unstableAlexander Sack2009-08-11
|
* * more debian/control cleanupsAlexander Sack2009-08-11
| | | | | - use lp:mozilla-devscripts to refer to bzr branch - break long Uploaders: line - bump standards version to 3.8.3
* * fix Vcs-Bzr to point to something that actually existAlexander Sack2009-08-11
|
* - add Benjamin Drung <bdrung@ubuntu.com> to Uploaders and also add my ↵Alexander Sack2009-08-11
| | | | | | @ubuntu.com address work-time uploads won't count as NMU - update debian/control
* * packaging:Alexander Sack2009-08-11
| | | | | - fix Vcs-Bzr: to point to a proper R/W location and use Vcs-Bzr-Browser for the browsable read-only location - update debian/control
* (merge lp:~bdrung/mozilla-devscripts/moz-version)Alexander Sack2009-08-10
|\ | | | | | | | | | | | | | | | | | | | | | | | | | | | | * xpi.mk: - rename to moz-version helper script and ship it in extra_files; this script implements compare operations for mozilla versions as in https://developer.mozilla.org/en/Toolkit_version_format - rename src/moz-version-compare => src/moz-version - update src/Makefile - update src/xpi.mk - implement start/end of life for comparing possible alternate binary dependency - update src/xpi.mk - make MOZ_EXTENSION_PKG optional; if this variable is unset, the first binary package listed in debian/control will be used - update src/xpi.mk
| * - make MOZ_EXTENSION_PKG optional; if this variable is unset, the firstBenjamin Drung2009-08-06
| | | | | | | | binary package listed in debian/control will be used - update src/xpi.mk
| * shorten too long debian/changelog entryBenjamin Drung2009-08-05
| |
| * update debian/changelogBenjamin Drung2009-08-05
| |
| * implement start/end of life for comparing possible alternate binary dependency.Benjamin Drung2009-08-05
| | | | | | | | - update src/xpi.mk
| * rename moz-version-compare to moz-version. To compare two versions you haveBenjamin Drung2009-08-04
| | | | | | | | | | | | | | to run moz-version with the --compare parameter. Add --help parameter to show the usage help. - rename src/moz-version-compare to src/moz-version - update src/Makefile
* | * include email in changelog author markerAlexander Sack2009-08-10
| |
* | * lp-locale-export.mk:Alexander Sack2009-08-10
|/ | | | - fix LP: #411191 - webfav lp-locale-export.mk yields en-US.xpi with .manifest files only - fix parsing bug for jar: protocol lines
* * fix typo in prism target application idAlexander Sack2009-07-29
| | | - update src/xpi.mk
* - add thunderbird-3.0 to list of auto detected target application packagesAlexander Sack2009-07-29
| | | - update src/xpi.mk
* - use moz-version-compare in ${xpi:Depends} |CHECK_VERSION| callAlexander Sack2009-07-29
| | | | instead of the rather flawed dpkg --compare-versions approach. - update src/xpi.mk
* * build-system:Alexander Sack2009-07-29
| | | | | | | - add bindir_files feature and use that to install med-xpi-*pack as well as moz-version-compare to BINDIR; in turn adjust dh_install helper accordingly. - update src/Makefile - update debian/mozilla-devscripts.install
* - add prism@developers.mozilla.org 1.0 to list of auto detected targetAlexander Sack2009-07-29
| | | | application packages - update src/xpi.mk
* - add moz-version-compare helper script and ship it in extra_files; this ↵Alexander Sack2009-07-29
| | | | | | | | | script implements compare operations for mozilla versions as in https://developer.mozilla.org/en/Toolkit_version_format; thanks to Benjamin Drung <bdrung@ubuntu.com> for this contribution - add src/moz-version-compare - update src/Makefile
* - first pitch on automagic max/min version detection implemented; add a ↵Alexander Sack2009-07-27
| | | | | | | | | | | | generic |TARGET_VERSION| call taking parameters a) appid, b) maxVersion|minVersion and c) extension-dir; this call is then used to parse the right max/minVersion for a given targetApplication on demand in |CHECK_VERSION|. In this way we now filter out unsuitable packages from xpi:Depends based on the install.rdf version bounds; Note: currently uses dpkg --compare-versions, which is wrong for mozilla versions; but works good enough until with have a mozpkg --compare-versions script - update src/xpi.mk
* - add automatic xpi depends .substvars feature based on smart parsingAlexander Sack2009-07-27
| | | | | | | of install.rdf and checking min/maxVersion for each target application; extensions can now use ${xpi:Depends} to get the right dependencies added; the version/package/targetAppId mapping information is currently maintained in src/xpi.mk itself - thx to Benjamin Drung <bdrung@ubuntu.com> for this - update src/xpi.mk
* * xpi.mk: ensure $(TEMPDIR) existance in stamp-unpack-%:Alexander Sack2009-07-27
|
* * move add stamp-unzip-$(XPI_BASE_FILE) to stamp-extension-install: andAlexander Sack2009-07-27
| | | | remove it from stamp-installlinks-% - which was the wrong place anyway - update src/xpi.mk
* - improve rule dependencies; avoid duplicate/circular dependsAlexander Sack2009-07-26
| | | - update src/xpi.mk
* * add documentation about not yet implemented variableAlexander Sack2009-07-26
| | | | MOZ_XPI_MOZILLA_EXTRA_DIRS - update src/xpi.mk
* * fix bug in stamp-autolinks; append XPI_EMID to the auto link pathsAlexander Sack2009-07-26
| | | - update src/xpi.mk
* * xpi.mk:Alexander Sack2009-07-26
| | | | | | | - add target application id magic (|XPI_TARGET_EMIDs|); parse install.rdf and create extension links for all targetapplications like: |/usr/lib/mozilla/extensions/$targetappid/$extid|; in same turn we deprecate |MOZ_XPI_MOZILLA_DIRS| and unset its default accordingly - update src/xpi.mk
* * also explicitly set native=True in .bzr-builddeb/default.confAlexander Sack2009-07-26
|
* * setup .bzr-builddeb/default.conf with merge = False to indicate thatAlexander Sack2009-07-26
| | | this is a native package
* * RELEASE 0.13 to debian/unstableAlexander Sack2009-07-07
|
* * fix package description to include 'Debian'Alexander Sack2009-07-07
|
* * fix fta's uploader email to match what is used in changelogAlexander Sack2009-07-07
|
* First debian upload (Closes: 528225)Alexander Sack2009-07-07
|
* improve debian/copyrightAlexander Sack2009-07-07
|
* adding asac to Uploaders: for first debian uploadAlexander Sack2009-07-07
|
* * Drop python-2.4 from Depends, any python will doFabien Tassin2009-03-13
| | | | - update debian/control
* * RELEASE 0.12 to Ubuntu/JauntyFabien Tassin2009-02-05
|